diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -2813,12 +2797,12 @@ static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
             st->codecpar->bits_per_coded_sample = avio_rb32(pb);
 
             flags = avio_rb32(pb); /* lpcm format specific flag */
-            sc->bytes_per_frame   = avio_rb32(pb);
+            sc->bytes_per_frame = avio_rb32(pb);
             sc->samples_per_frame = avio_rb32(pb);
-            if (st->codecpar->codec_tag == MKTAG('l','p','c','m'))
+            if (st->codecpar->codec_tag == MKTAG('l', 'p', 'c', 'm'))
                 st->codecpar->codec_id =
-                    ff_mov_get_lpcm_codec_id(st->codecpar->bits_per_coded_sample,
-                                             flags);
+                ff_mov_get_lpcm_codec_id(st->codecpar->bits_per_coded_sample,
+                    flags);
         }
         if (version == 0 || (version == 1 && sc->audio_cid != -2)) {
             /* can't correctly handle variable sized packet as audio unit */
@@ -2833,9 +2817,9 @@ static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
 
     if (sc->format == 0) {
         if (st->codecpar->bits_per_coded_sample == 8)
-            st->codecpar->codec_id = mov_codec_id(st, MKTAG('r','a','w',' '));
+            st->codecpar->codec_id = mov_codec_id(st, MKTAG('r', 'a', 'w', ' '));
         else if (st->codecpar->bits_per_coded_sample == 16)
-            st->codecpar->codec_id = mov_codec_id(st, MKTAG('t','w','o','s'));
+            st->codecpar->codec_id = mov_codec_id(st, MKTAG('t', 'w', 'o', 's'));
     }
 
     switch (st->codecpar->codec_id) {
@@ -2850,29 +2834,29 @@ static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
             st->codecpar->codec_id = AV_CODEC_ID_PCM_S8;
         else if (st->codecpar->bits_per_coded_sample == 24)
             st->codecpar->codec_id =
-                st->codecpar->codec_id == AV_CODEC_ID_PCM_S16BE ?
-                AV_CODEC_ID_PCM_S24BE : AV_CODEC_ID_PCM_S24LE;
+            st->codecpar->codec_id == AV_CODEC_ID_PCM_S16BE ?
+            AV_CODEC_ID_PCM_S24BE : AV_CODEC_ID_PCM_S24LE;
         else if (st->codecpar->bits_per_coded_sample == 32)
-             st->codecpar->codec_id =
-                st->codecpar->codec_id == AV_CODEC_ID_PCM_S16BE ?
-                AV_CODEC_ID_PCM_S32BE : AV_CODEC_ID_PCM_S32LE;
+            st->codecpar->codec_id =
+            st->codecpar->codec_id == AV_CODEC_ID_PCM_S16BE ?
+            AV_CODEC_ID_PCM_S32BE : AV_CODEC_ID_PCM_S32LE;
         break;
-    /* set values for old format before stsd version 1 appeared */
+        /* set values for old format before stsd version 1 appeared */
     case AV_CODEC_ID_MACE3:
         sc->samples_per_frame = 6;
-        sc->bytes_per_frame   = 2 * st->codecpar->ch_layout.nb_channels;
+        sc->bytes_per_frame = 2 * st->codecpar->ch_layout.nb_channels;
         break;
     case AV_CODEC_ID_MACE6:
         sc->samples_per_frame = 6;
-        sc->bytes_per_frame   = 1 * st->codecpar->ch_layout.nb_channels;
+        sc->bytes_per_frame = 1 * st->codecpar->ch_layout.nb_channels;
         break;
     case AV_CODEC_ID_ADPCM_IMA_QT:
         sc->samples_per_frame = 64;
-        sc->bytes_per_frame   = 34 * st->codecpar->ch_layout.nb_channels;
+        sc->bytes_per_frame = 34 * st->codecpar->ch_layout.nb_channels;
         break;
     case AV_CODEC_ID_GSM:
         sc->samples_per_frame = 160;
-        sc->bytes_per_frame   = 33;
+        sc->bytes_per_frame = 33;
         break;
     default:
         break;
@@ -2885,9 +2869,9 @@ static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
     }
 }
 
-static void mov_parse_stsd_subtitle(MOVContext *c, AVIOContext *pb,
-                                    AVStream *st, MOVStreamContext *sc,
-                                    int64_t size)
+static void mov_parse_stsd_subtitle(MOVContext* c, AVIOContext* pb,
+    AVStream* st, MOVStreamContext* sc,
+    int64_t size)
 {
     // ttxt stsd contains display flags, justification, background
     // color, fonts, and default styles, so fake an atom to read it
@@ -2897,17 +2881,17 @@ static void mov_parse_stsd_subtitle(MOVContext *c, AVIOContext *pb,
     if (st->codecpar->codec_tag != AV_RL32("mp4s") &&
         st->codecpar->codec_tag != MOV_ISMV_TTML_TAG)
         mov_read_glbl(c, pb, fake_atom);
-    st->codecpar->width  = sc->width;
+    st->codecpar->width = sc->width;
     st->codecpar->height = sc->height;
 }
 
-static int mov_parse_stsd_data(MOVContext *c, AVIOContext *pb,
-                                AVStream *st, MOVStreamContext *sc,
-                                int64_t size)
+static int mov_parse_stsd_data(MOVContext* c, AVIOContext* pb,
+    AVStream* st, MOVStreamContext* sc,
+    int64_t size)
 {
     int ret;
 
-    if (st->codecpar->codec_tag == MKTAG('t','m','c','d')) {
+    if (st->codecpar->codec_tag == MKTAG('t', 'm', 'c', 'd')) {
         if ((int)size != size)
             return AVERROR(ENOMEM);
 
@@ -2915,7 +2899,7 @@ static int mov_parse_stsd_data(MOVContext *c, AVIOContext *pb,
         if (ret < 0)
             return ret;
         if (size > 16) {
-            MOVStreamContext *tmcd_ctx = st->priv_data;
+            MOVStreamContext* tmcd_ctx = st->priv_data;
             int val;
             val = AV_RB32(st->codecpar->extradata + 4);
             tmcd_ctx->tmcd_flags = val;
@@ -2929,28 +2913,29 @@ static int mov_parse_stsd_data(MOVContext *c, AVIOContext *pb,
                     uint16_t str_size = AV_RB16(st->codecpar->extradata + 26); /* string length */
                     if (str_size > 0 && size >= (int)str_size + 30 &&
                         st->codecpar->extradata[30] /* Don't add empty string */) {
-                        char *reel_name = av_malloc(str_size + 1);
+                        char* reel_name = av_malloc(str_size + 1);
                         if (!reel_name)
                             return AVERROR(ENOMEM);
                         memcpy(reel_name, st->codecpar->extradata + 30, str_size);
                         reel_name[str_size] = 0; /* Add null terminator */
                         av_dict_set(&st->metadata, "reel_name", reel_name,
-                                    AV_DICT_DONT_STRDUP_VAL);
+                            AV_DICT_DONT_STRDUP_VAL);
                     }
                 }
             }
         }
-    } else {
+    }
+    else {
         /* other codec type, just skip (rtp, mp4s ...) */
         avio_skip(pb, size);
     }
     return 0;
 }
 
-static int mov_finalize_stsd_codec(MOVContext *c, AVIOContext *pb,
-                                   AVStream *st, MOVStreamContext *sc)
+static int mov_finalize_stsd_codec(MOVContext* c, AVIOContext* pb,
+    AVStream* st, MOVStreamContext* sc)
 {
-    FFStream *const sti = ffstream(st);
+    FFStream* const sti = ffstream(st);
 
     if (st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO &&
         !st->codecpar->sample_rate && sc->time_scale > 1)
@@ -2976,15 +2961,15 @@ static int mov_finalize_stsd_codec(MOVContext *c, AVIOContext *pb,
             return AVERROR(ENOMEM);
         }
         sc->dv_audio_container = 1;
-        st->codecpar->codec_id    = AV_CODEC_ID_PCM_S16LE;
+        st->codecpar->codec_id = AV_CODEC_ID_PCM_S16LE;
         break;
 #endif
-    /* no ifdef since parameters are always those */
+        /* no ifdef since parameters are always those */
     case AV_CODEC_ID_QCELP:
         av_channel_layout_uninit(&st->codecpar->ch_layout);
         st->codecpar->ch_layout = (AVChannelLayout)AV_CHANNEL_LAYOUT_MONO;
         // force sample rate for qcelp when not stored in mov
-        if (st->codecpar->codec_tag != MKTAG('Q','c','l','p'))
+        if (st->codecpar->codec_tag != MKTAG('Q', 'c', 'l', 'p'))
             st->codecpar->sample_rate = 8000;
         // FIXME: Why is the following needed for some files?
         sc->samples_per_frame = 160;
@@ -3036,7 +3021,6 @@ static int mov_finalize_stsd_codec(MOVContext *c, AVIOContext *pb,
         sti->need_parsing = AVSTREAM_PARSE_FULL;
         break;
     case AV_CODEC_ID_PRORES_RAW:
-    case AV_CODEC_ID_PRORES:
     case AV_CODEC_ID_APV:
     case AV_CODEC_ID_EVC:
     case AV_CODEC_ID_AV1:
@@ -3050,20 +3034,20 @@ static int mov_finalize_stsd_codec(MOVContext *c, AVIOContext *pb,
     return 0;
 }
 
-static int mov_skip_multiple_stsd(MOVContext *c, AVIOContext *pb,
-                                  int codec_tag, int format,
-                                  int64_t size)
+static int mov_skip_multiple_stsd(MOVContext* c, AVIOContext* pb,
+    int codec_tag, int format,
+    int64_t size)
 {
     if (codec_tag &&
-         (codec_tag != format &&
-          // AVID 1:1 samples with differing data format and codec tag exist
-          (codec_tag != AV_RL32("AV1x") || format != AV_RL32("AVup")) &&
-          // prores is allowed to have differing data format and codec tag
-          codec_tag != AV_RL32("apcn") && codec_tag != AV_RL32("apch") &&
-          // so is dv (sigh)
-          codec_tag != AV_RL32("dvpp") && codec_tag != AV_RL32("dvcp") &&
-          (c->fc->video_codec_id ? ff_codec_get_id(ff_codec_movvideo_tags, format) != c->fc->video_codec_id
-                                 : codec_tag != MKTAG('j','p','e','g')))) {
+        (codec_tag != format &&
+            // AVID 1:1 samples with differing data format and codec tag exist
+            (codec_tag != AV_RL32("AV1x") || format != AV_RL32("AVup")) &&
+            // prores is allowed to have differing data format and codec tag
+            codec_tag != AV_RL32("apcn") && codec_tag != AV_RL32("apch") &&
+            // so is dv (sigh)
+            codec_tag != AV_RL32("dvpp") && codec_tag != AV_RL32("dvcp") &&
+            (c->fc->video_codec_id ? ff_codec_get_id(ff_codec_movvideo_tags, format) != c->fc->video_codec_id
+                : codec_tag != MKTAG('j', 'p', 'e', 'g')))) {
         /* Multiple fourcc, we skip JPEG. This is not correct, we should
          * export it as a separate AVStream but this needs a few changes
          * in the MOV demuxer, patch welcome. */
@@ -3076,7 +3060,7 @@ static int mov_skip_multiple_stsd(MOVContext *c, AVIOContext *pb,
     return 0;
 }
 
-static int mov_finalize_stsd_entry(MOVContext *c, AVStream *st)
+static int mov_finalize_stsd_entry(MOVContext* c, AVStream* st)
 {
     int ret;
 
@@ -3087,7 +3071,7 @@ static int mov_finalize_stsd_entry(MOVContext *c, AVStream *st)
         if (!st->codecpar->extradata_size && TAG_IS_AVCI(st->codecpar->codec_tag)) {
             ret = ff_generate_avci_extradata(st);
             if (ret < 0)
-               return ret;
+                return ret;
         }
         break;
     default:
@@ -3097,57 +3081,59 @@ static int mov_finalize_stsd_entry(MOVContext *c, AVStream *st)
     return 0;
 }
 
-int ff_mov_read_stsd_entries(MOVContext *c, AVIOContext *pb, int entries)
+int ff_mov_read_stsd_entries(MOVContext* c, AVIOContext* pb, int entries)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int pseudo_stream_id;
 
-    av_assert0 (c->fc->nb_streams >= 1);
-    st = c->fc->streams[c->fc->nb_streams-1];
+    av_assert0(c->fc->nb_streams >= 1);
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     for (pseudo_stream_id = 0;
-         pseudo_stream_id < entries && !pb->eof_reached;
-         pseudo_stream_id++) {
+        pseudo_stream_id < entries && !pb->eof_reached;
+        pseudo_stream_id++) {
         //Parsing Sample description table
         enum AVCodecID id;
         int ret, dref_id = 1;
         MOVAtom a = { AV_RL32("stsd") };
         int64_t start_pos = avio_tell(pb);
-        int64_t size    = avio_rb32(pb); /* size */
+        int64_t size = avio_rb32(pb); /* size */
         uint32_t format = avio_rl32(pb); /* data format */
 
         if (size >= 16) {
             avio_rb32(pb); /* reserved */
             avio_rb16(pb); /* reserved */
             dref_id = avio_rb16(pb);
-        } else if (size <= 7) {
+        }
+        else if (size <= 7) {
             av_log(c->fc, AV_LOG_ERROR,
-                   "invalid size %"PRId64" in stsd\n", size);
+                "invalid size %"PRId64" in stsd\n", size);
             return AVERROR_INVALIDDATA;
         }
 
         if (mov_skip_multiple_stsd(c, pb, st->codecpar->codec_tag, format,
-                                   size - (avio_tell(pb) - start_pos))) {
+            size - (avio_tell(pb) - start_pos))) {
             sc->stsd_count++;
             continue;
         }
 
         sc->pseudo_stream_id = st->codecpar->codec_tag ? -1 : pseudo_stream_id;
-        sc->dref_id= dref_id;
+        sc->dref_id = dref_id;
         sc->format = format;
 
         id = mov_codec_id(st, format);
 
         av_log(c->fc, AV_LOG_TRACE,
-               "size=%"PRId64" 4CC=%s codec_type=%d\n", size,
-               av_fourcc2str(format), st->codecpar->codec_type);
+            "size=%"PRId64" 4CC=%s codec_type=%d\n", size,
+            av_fourcc2str(format), st->codecpar->codec_type);
 
         st->codecpar->codec_id = id;
-        if (st->codecpar->codec_type==AVMEDIA_TYPE_VIDEO) {
+        if (st->codecpar->codec_type == AVMEDIA_TYPE_VIDEO) {
             mov_parse_stsd_video(c, pb, st, sc);
-        } else if (st->codecpar->codec_type==AVMEDIA_TYPE_AUDIO) {
+        }
+        else if (st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO) {
             mov_parse_stsd_audio(c, pb, st, sc);
             if (st->codecpar->sample_rate < 0) {
                 av_log(c->fc, AV_LOG_ERROR, "Invalid sample rate %d\n", st->codecpar->sample_rate);
@@ -3157,12 +3143,14 @@ int ff_mov_read_stsd_entries(MOVContext *c, AVIOContext *pb, int entries)
                 av_log(c->fc, AV_LOG_ERROR, "Invalid channels %d\n", st->codecpar->ch_layout.nb_channels);
                 return AVERROR_INVALIDDATA;
             }
-        } else if (st->codecpar->codec_type==AVMEDIA_TYPE_SUBTITLE){
+        }
+        else if (st->codecpar->codec_type == AVMEDIA_TYPE_SUBTITLE) {
             mov_parse_stsd_subtitle(c, pb, st, sc,
-                                    size - (avio_tell(pb) - start_pos));
-        } else {
+                size - (avio_tell(pb) - start_pos));
+        }
+        else {
             ret = mov_parse_stsd_data(c, pb, st, sc,
-                                      size - (avio_tell(pb) - start_pos));
+                size - (avio_tell(pb) - start_pos));
             if (ret < 0)
                 return ret;
         }
@@ -3171,7 +3159,8 @@ int ff_mov_read_stsd_entries(MOVContext *c, AVIOContext *pb, int entries)
         if (a.size > 8) {
             if ((ret = mov_read_default(c, pb, a)) < 0)
                 return ret;
-        } else if (a.size > 0)
+        }
+        else if (a.size > 0)
             avio_skip(pb, a.size);
 
         ret = mov_finalize_stsd_entry(c, st);
@@ -3184,7 +3173,7 @@ int ff_mov_read_stsd_entries(MOVContext *c, AVIOContext *pb, int entries)
             /* Move the current stream extradata to the stream context one. */
             sc->extradata_size[pseudo_stream_id] = extra_size;
             sc->extradata[pseudo_stream_id] = st->codecpar->extradata;
-            st->codecpar->extradata      = NULL;
+            st->codecpar->extradata = NULL;
             st->codecpar->extradata_size = 0;
         }
         sc->stsd_count++;
@@ -3198,10 +3187,10 @@ int ff_mov_read_stsd_entries(MOVContext *c, AVIOContext *pb, int entries)
     return 0;
 }
 
-static int mov_read_stsd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stsd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int ret, entries;
 
     if (c->fc->nb_streams < 1)
@@ -3221,7 +3210,7 @@ static int mov_read_stsd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (sc->extradata) {
         av_log(c->fc, AV_LOG_ERROR,
-               "Duplicate stsd found in this track.\n");
+            "Duplicate stsd found in this track.\n");
         return AVERROR_INVALIDDATA;
     }
 
@@ -3263,10 +3252,10 @@ fail:
     return ret;
 }
 
-static int mov_read_stsc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stsc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries;
 
     if (c->trak_index < 0) {
@@ -3276,7 +3265,7 @@ static int mov_read_stsc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_r8(pb); /* version */
@@ -3309,29 +3298,29 @@ static int mov_read_stsc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     sc->stsc_count = i;
     for (i = sc->stsc_count - 1; i < UINT_MAX; i--) {
         int64_t first_min = i + 1;
-        if ((i+1 < sc->stsc_count && sc->stsc_data[i].first >= sc->stsc_data[i+1].first) ||
-            (i > 0 && sc->stsc_data[i].first <= sc->stsc_data[i-1].first) ||
+        if ((i + 1 < sc->stsc_count && sc->stsc_data[i].first >= sc->stsc_data[i + 1].first) ||
+            (i > 0 && sc->stsc_data[i].first <= sc->stsc_data[i - 1].first) ||
             sc->stsc_data[i].first < first_min ||
             sc->stsc_data[i].count < 1 ||
             sc->stsc_data[i].id < 1) {
             av_log(c->fc, AV_LOG_WARNING, "STSC entry %d is invalid (first=%d count=%d id=%d)\n", i, sc->stsc_data[i].first, sc->stsc_data[i].count, sc->stsc_data[i].id);
-            if (i+1 >= sc->stsc_count) {
+            if (i + 1 >= sc->stsc_count) {
                 if (sc->stsc_data[i].count == 0 && i > 0) {
-                    sc->stsc_count --;
+                    sc->stsc_count--;
                     continue;
                 }
                 sc->stsc_data[i].first = FFMAX(sc->stsc_data[i].first, first_min);
-                if (i > 0 && sc->stsc_data[i].first <= sc->stsc_data[i-1].first)
-                    sc->stsc_data[i].first = FFMIN(sc->stsc_data[i-1].first + 1LL, INT_MAX);
+                if (i > 0 && sc->stsc_data[i].first <= sc->stsc_data[i - 1].first)
+                    sc->stsc_data[i].first = FFMIN(sc->stsc_data[i - 1].first + 1LL, INT_MAX);
                 sc->stsc_data[i].count = FFMAX(sc->stsc_data[i].count, 1);
-                sc->stsc_data[i].id    = FFMAX(sc->stsc_data[i].id, 1);
+                sc->stsc_data[i].id = FFMAX(sc->stsc_data[i].id, 1);
                 continue;
             }
-            av_assert0(sc->stsc_data[i+1].first >= 2);
+            av_assert0(sc->stsc_data[i + 1].first >= 2);
             // We replace this entry by the next valid
-            sc->stsc_data[i].first = sc->stsc_data[i+1].first - 1;
-            sc->stsc_data[i].count = sc->stsc_data[i+1].count;
-            sc->stsc_data[i].id    = sc->stsc_data[i+1].id;
+            sc->stsc_data[i].first = sc->stsc_data[i + 1].first - 1;
+            sc->stsc_data[i].count = sc->stsc_data[i + 1].count;
+            sc->stsc_data[i].id = sc->stsc_data[i + 1].id;
         }
     }
 
@@ -3349,7 +3338,7 @@ static inline int mov_stsc_index_valid(unsigned int index, unsigned int count)
 }
 
 /* Compute the samples value for the stsc entry at the given index. */
-static inline int64_t mov_get_stsc_samples(MOVStreamContext *sc, unsigned int index)
+static inline int64_t mov_get_stsc_samples(MOVStreamContext* sc, unsigned int index)
 {
     int chunk_count;
 
@@ -3364,10 +3353,10 @@ static inline int64_t mov_get_stsc_samples(MOVStreamContext *sc, unsigned int in
     return sc->stsc_data[index].count * (int64_t)chunk_count;
 }
 
-static int mov_read_stps(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stps(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned i, entries;
 
     if (c->trak_index < 0) {
@@ -3377,7 +3366,7 @@ static int mov_read_stps(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_rb32(pb); // version + flags
@@ -3405,11 +3394,11 @@ static int mov_read_stps(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_stss(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stss(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    FFStream *sti;
-    MOVStreamContext *sc;
+    AVStream* st;
+    FFStream* sti;
+    MOVStreamContext* sc;
     unsigned int i, entries;
 
     if (c->trak_index < 0) {
@@ -3419,7 +3408,7 @@ static int mov_read_stss(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sti = ffstream(st);
     sc = st->priv_data;
 
@@ -3460,10 +3449,10 @@ static int mov_read_stss(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_stsz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stsz(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries, sample_size, field_size, num_bytes;
     GetBitContext gb;
     unsigned char* buf;
@@ -3476,19 +3465,20 @@ static int mov_read_stsz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_r8(pb); /* version */
     avio_rb24(pb); /* flags */
 
-    if (atom.type == MKTAG('s','t','s','z')) {
+    if (atom.type == MKTAG('s', 't', 's', 'z')) {
         sample_size = avio_rb32(pb);
         if (!sc->sample_size) /* do not overwrite value computed in stsd */
             sc->sample_size = sample_size;
         sc->stsz_sample_size = sample_size;
         field_size = 32;
-    } else {
+    }
+    else {
         sample_size = 0;
         avio_rb24(pb); /* reserved */
         field_size = avio_r8(pb);
@@ -3518,9 +3508,9 @@ static int mov_read_stsz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (!sc->sample_sizes)
         return AVERROR(ENOMEM);
 
-    num_bytes = (entries*field_size+4)>>3;
+    num_bytes = (entries * field_size + 4) >> 3;
 
-    buf = av_malloc(num_bytes+AV_INPUT_BUFFER_PADDING_SIZE);
+    buf = av_malloc(num_bytes + AV_INPUT_BUFFER_PADDING_SIZE);
     if (!buf) {
         av_freep(&sc->sample_sizes);
         return AVERROR(ENOMEM);
@@ -3534,7 +3524,7 @@ static int mov_read_stsz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return 0;
     }
 
-    init_get_bits(&gb, buf, 8*num_bytes);
+    init_get_bits(&gb, buf, 8 * num_bytes);
 
     for (i = 0; i < entries; i++) {
         sc->sample_sizes[i] = get_bits_long(&gb, field_size);
@@ -3553,10 +3543,10 @@ static int mov_read_stsz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stts(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries;
     int64_t duration = 0;
     int64_t total_sample_count = 0;
@@ -3570,7 +3560,7 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_r8(pb); /* version */
@@ -3578,7 +3568,7 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     entries = avio_rb32(pb);
 
     av_log(c->fc, AV_LOG_TRACE, "track[%u].stts.entries = %u\n",
-            c->fc->nb_streams-1, entries);
+        c->fc->nb_streams - 1, entries);
 
     if (sc->stts_data)
         av_log(c->fc, AV_LOG_WARNING, "Duplicated STTS atom\n");
@@ -3591,8 +3581,8 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         unsigned int sample_duration;
         unsigned int sample_count;
         unsigned int min_entries = FFMIN(FFMAX(i + 1, 1024 * 1024), entries);
-        MOVStts *stts_data = av_fast_realloc(sc->stts_data, &sc->stts_allocated_size,
-                                             min_entries * sizeof(*sc->stts_data));
+        MOVStts* stts_data = av_fast_realloc(sc->stts_data, &sc->stts_allocated_size,
+            min_entries * sizeof(*sc->stts_data));
         if (!stts_data) {
             av_freep(&sc->stts_data);
             sc->stts_count = 0;
@@ -3601,14 +3591,14 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         sc->stts_count = min_entries;
         sc->stts_data = stts_data;
 
-        sample_count    = avio_rb32(pb);
+        sample_count = avio_rb32(pb);
         sample_duration = avio_rb32(pb);
 
-        sc->stts_data[i].count= sample_count;
-        sc->stts_data[i].duration= sample_duration;
+        sc->stts_data[i].count = sample_count;
+        sc->stts_data[i].duration = sample_duration;
 
         av_log(c->fc, AV_LOG_TRACE, "sample_count=%u, sample_duration=%u\n",
-                sample_count, sample_duration);
+            sample_count, sample_duration);
 
         /* STTS sample offsets are uint32 but some files store it as int32
          * with negative values used to correct DTS delays.
@@ -3617,10 +3607,11 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             // assume high delta is a correction if negative when cast as int32
             int32_t delta_magnitude = (int32_t)sample_duration;
             av_log(c->fc, AV_LOG_WARNING, "Too large sample offset %u in stts entry %u with count %u in st:%d. Clipping to 1.\n",
-                   sample_duration, i, sample_count, st->index);
+                sample_duration, i, sample_count, st->index);
             sc->stts_data[i].duration = 1;
             corrected_dts = av_sat_add64(corrected_dts, (delta_magnitude < 0 ? (int64_t)delta_magnitude : 1) * sample_count);
-        } else {
+        }
+        else {
             corrected_dts += sample_duration * (uint64_t)sample_count;
         }
 
@@ -3633,8 +3624,8 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             sc->stts_data[i].duration -= correction;
         }
 
-        duration+=(int64_t)sc->stts_data[i].duration*(uint64_t)sc->stts_data[i].count;
-        total_sample_count+=sc->stts_data[i].count;
+        duration += (int64_t)sc->stts_data[i].duration * (uint64_t)sc->stts_data[i].count;
+        total_sample_count += sc->stts_data[i].count;
     }
 
     sc->stts_count = i;
@@ -3642,7 +3633,7 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (duration > 0 &&
         duration <= INT64_MAX - sc->duration_for_fps &&
         total_sample_count <= INT_MAX - sc->nb_frames_for_fps) {
-        sc->duration_for_fps  += duration;
+        sc->duration_for_fps += duration;
         sc->nb_frames_for_fps += total_sample_count;
     }
 
@@ -3651,9 +3642,9 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR_EOF;
     }
 
-    st->nb_frames= total_sample_count;
+    st->nb_frames = total_sample_count;
     if (duration)
-        st->duration= FFMIN(st->duration, duration);
+        st->duration = FFMIN(st->duration, duration);
 
     // All samples have zero duration. They have higher chance be chose by
     // mov_find_next_sample, which leads to seek again and again.
@@ -3661,22 +3652,22 @@ static int mov_read_stts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     // It's AVERROR_INVALIDDATA actually, but such files exist in the wild.
     // So only mark data stream as discarded for safety.
     if (!duration && sc->stts_count &&
-            st->codecpar->codec_type == AVMEDIA_TYPE_DATA) {
+        st->codecpar->codec_type == AVMEDIA_TYPE_DATA) {
         av_log(c->fc, AV_LOG_WARNING,
-               "All samples in data stream index:id [%d:%d] have zero "
-               "duration, stream set to be discarded by default. Override "
-               "using AVStream->discard or -discard for ffmpeg command.\n",
-               st->index, sc->id);
+            "All samples in data stream index:id [%d:%d] have zero "
+            "duration, stream set to be discarded by default. Override "
+            "using AVStream->discard or -discard for ffmpeg command.\n",
+            st->index, sc->id);
         st->discard = AVDISCARD_ALL;
     }
     sc->track_end = duration;
     return 0;
 }
 
-static int mov_read_sdtp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_sdtp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int64_t i, entries;
 
     if (c->fc->nb_streams < 1)
@@ -3689,7 +3680,7 @@ static int mov_read_sdtp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     entries = atom.size - 4;
 
     av_log(c->fc, AV_LOG_TRACE, "track[%u].sdtp.entries = %" PRId64 "\n",
-           c->fc->nb_streams - 1, entries);
+        c->fc->nb_streams - 1, entries);
 
     if (sc->sdtp_data)
         av_log(c->fc, AV_LOG_WARNING, "Duplicated SDTP atom\n");
@@ -3707,7 +3698,7 @@ static int mov_read_sdtp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static void mov_update_dts_shift(MOVStreamContext *sc, int duration, void *logctx)
+static void mov_update_dts_shift(MOVStreamContext* sc, int duration, void* logctx)
 {
     if (duration < 0) {
         if (duration == INT_MIN) {
@@ -3718,10 +3709,10 @@ static void mov_update_dts_shift(MOVStreamContext *sc, int duration, void *logct
     }
 }
 
-static int mov_read_ctts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ctts(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries, ctts_count = 0;
 
     if (c->trak_index < 0) {
@@ -3731,7 +3722,7 @@ static int mov_read_ctts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_r8(pb); /* version */
@@ -3750,19 +3741,19 @@ static int mov_read_ctts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR(ENOMEM);
 
     for (i = 0; i < entries && !pb->eof_reached; i++) {
-        MOVCtts *ctts_data;
+        MOVCtts* ctts_data;
         const size_t min_size_needed = (ctts_count + 1) * sizeof(MOVCtts);
         const size_t requested_size =
             min_size_needed > sc->ctts_allocated_size ?
             FFMAX(min_size_needed, 2 * sc->ctts_allocated_size) :
             min_size_needed;
-        int count    = avio_rb32(pb);
+        int count = avio_rb32(pb);
         int duration = avio_rb32(pb);
 
         if (count <= 0) {
             av_log(c->fc, AV_LOG_TRACE,
-                   "ignoring CTTS entry with count=%d duration=%d\n",
-                   count, duration);
+                "ignoring CTTS entry with count=%d duration=%d\n",
+                count, duration);
             continue;
         }
 
